Bug 258266 - devel/libudev-devd: update to 0.5.0
Summary: devel/libudev-devd: update to 0.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-x11 (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2021-09-04 22:32 UTC by Vladimir Kondratyev
Modified: 2021-09-06 19:28 UTC (History)
1 user (show)

See Also:
zeising: maintainer-feedback+


Attachments
libudev-devd.patch (1.15 KB, patch)
2021-09-04 22:32 UTC, Vladimir Kondratyev
no flags Details | Diff
poudriere build log (21.79 KB, text/plain)
2021-09-04 22:34 UTC, Vladimir Kondratyev
no flags Details
libudev-devd.patch (1.66 KB, patch)
2021-09-05 21:43 UTC, Vladimir Kondratyev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kondratyev freebsd_committer 2021-09-04 22:32:38 UTC
Created attachment 227661 [details]
libudev-devd.patch

Changelog:

- Improve detection of absolute mices and game controllers
- Make buildable and working under linux-c7 emulation
- Stub enough routines to link with chromium and udev-java-bindings

Also move distfile from long-dead FreeBSDDesktop to author's github page
Comment 1 Vladimir Kondratyev freebsd_committer 2021-09-04 22:34:45 UTC
Created attachment 227662 [details]
poudriere build log
Comment 2 Jan Beich freebsd_committer 2021-09-05 03:41:14 UTC
I did some testing on my end.

Works fine (14.0 amd64):
- Sway 1.7 (snapshot): via hms(4), hkbd(4), default DRM search
- glmark2: via DRM backend (glmark2-drm + glmark2-es2-drm)

Builds fine (poudriere bulk -t):
- 11.4 amd64/i386
- 12.2 aarch64/amd64/i386
- 13.0 amd64/i386
- 14.0 aarch64/amd64/armv6/armv7/i386
- All 33 direct consumers

(In reply to Vladimir Kondratyev from comment #0)
> - Make buildable and working under linux-c7 emulation

Downstream (aka ports) integration is missing in the patch, so mentioning this in commit message maybe confusing.

> - Stub enough routines to link with chromium and udev-java-bindings

https://github.com/wulf7/libudev-devd/commit/f6e12efeb253 adds "enable-gpl" to meson_options.txt. Would it be useful to expose as a port option?

OPTIONS_DEFINE=	GPL

GPL_DESC=	Enable GPL-licensed code
GPL_MESON_TRUE=	enable-gpl
GPL_VARS=	LICENSE+=LGPL21+ LICENSE_COMB=multi

> Also move distfile from long-dead FreeBSDDesktop to author's github page

Can you copy tags for previous releases? For example, https://github.com/wulf7/libudev-devd/compare/v0.4.2...v0.5.0 should work.

$ git tag v0.4.2 28267b5c990a
$ git tag v0.4.1 2350596f5660

> -GH_ACCOUNT=	FreeBSDDesktop
> +GH_ACCOUNT=	wulf7

Can you also update WWW in pkg-descr?
Comment 3 Vladimir Kondratyev freebsd_committer 2021-09-05 21:43:43 UTC
Created attachment 227694 [details]
libudev-devd.patch

Add GPL option
Update WWW in pkg-descr
Comment 4 Niclas Zeising freebsd_committer 2021-09-06 10:06:58 UTC
Why was this moved to your github repo instead of sending PRs to the previous one?
Which code is GPL, and why?
Comment 5 Vladimir Kondratyev freebsd_committer 2021-09-06 15:25:48 UTC
(In reply to Niclas Zeising from comment #4)
> Why was this moved to your github repo instead of sending PRs to the previous one?
I sent PR to FreeBSDDesktop [1] firstly. 5 months have passed since then which resulted in no feedback.
FreeBSDDesktop is long dead.

> Which code is GPL, and why?
udev_util_encode_string() is GPL-ed [2]. java bindings want it to be exposed for linkage with libudev. It is too complex (~400LOC) to implement, so I did a copy-paste from systemd. For !GPL case we have simple strlcpy-based fallback implementation.

[1] https://github.com/FreeBSDDesktop/libudev-devd/pull/21
[2] https://github.com/wulf7/libudev-devd/blob/master/udev-utils.c#L887
Comment 6 Niclas Zeising freebsd_committer 2021-09-06 16:55:57 UTC
It would have been nice to get a ping or reminder before you took away the fork from your repo and did all this.  We are working on things, but we are also busy with other things in our life, and sometimes a reminder is needed.

In any case, I have no objections to the patch.
Comment 7 Vladimir Kondratyev freebsd_committer 2021-09-06 18:01:14 UTC
(In reply to Niclas Zeising from comment #6)

Why you do not count this ticket as ping or reminder? I am not port committer and x11 team member to commit it without your approval.

There is no difference to me which page hosts libudev-devd. The thing I dislike is that being an author of this library, I have to poke other persons by side channels like bugzilla just to do a single change. But if you are willing to bring new life to FreeBSDDesktop, write access to libudev-devd would suit my needs.
Comment 8 commit-hook freebsd_committer 2021-09-06 19:27:04 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=96329810fb9473f860b02211eb269e95dac33a0d

commit 96329810fb9473f860b02211eb269e95dac33a0d
Author:     Vladimir Kondratyev <wulf@FreeBSD.org>
AuthorDate: 2021-09-05 00:35:01 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-09-06 19:19:48 +0000

    devel/libudev-devd: update to 0.5.0

    - Switch home to the author's repo as FreeBSDDesktop is no longer active

    Changes:        https://github.com/wulf7/libudev-devd/releases/tag/v0.5.0
    PR:             258266
    Reviewed by:    jbeich
    Approved by:    zeising

 devel/libudev-devd/Makefile  | 11 ++++++++---
 devel/libudev-devd/distinfo  |  6 +++---
 devel/libudev-devd/pkg-descr |  2 +-
 3 files changed, 12 insertions(+), 7 deletions(-)
Comment 9 Jan Beich freebsd_committer 2021-09-06 19:28:24 UTC
Landed myself to fix minor style: options block is supposed to be near the end of Makefile per https://docs.freebsd.org/en/books/porters-handbook/order/#porting-order-options also suggested by portclippy from ports-mgmt/portfmt.